<?php
// $Id: dart-noscript-tag.tpl.php,v 1.2 2010/03/09 17:07:46 bleen18 Exp $

/**
 * @file dart-tag.tpl.php
 * Display the js call to display a DART ad tag.
 *
 * Variables available:
 * - $tag: The full tag object or NULL. If it's NULL, all other 
 *         vars listed below will be NULL as well.
 * - $site: The DART site.
 * - $zone: The DART zone.
 * - $dart_url: The default URL to contact DART.
 * - $dart_prefix: The DART prefix.
 * - $dart_vars: An array of key|val pairs in the form:
 *               array('key' => array('val' => 'xyz', 'eval' => TRUE))
 *
 * - $tile: Either an integer or NULL.
 * - $ord: Random number followed by a question mark or NULL.
 *
 * @see template_preprocess_dart_noscript_tag()
 */
?>

<?php
  $src  = $dart_url . '/jump/' . $dart_prefix . '.' . $site . '/' . $zone . ';';
  $src .= 'pos=' . $tag->pos . ';';
  $src .= 'sz=' . $tag->sz . ';';
  foreach ($dart_vars as $key=>$val){
    if (!$val['eval']){
      if (is_array($val['val'])) {
        foreach ($val['val'] as $subkey=>$subval) {
          $src .= $key . '=' . $subval .';';
        }
      } else {
        $src .= $key . '=' . $val['val'] .';';
      }
    }
  }
  if ($tile) {
    $src .= 'tile=' . $tile .';';
  }
  if ($ord) {
    $src .= 'ord=' . $ord;
  }
  
?>
  
<noscript><a href="<?php print $src; ?>"><img src="<?php print $src; ?>" alt="" /></a></noscript>